[data-spoiler-content] {
	overflow: hidden;
	max-height: 0;
	opacity: 0;
	will-change: max-height;
	transition: .3s;
}

[data-spoiler] {

	&.open {

		[data-spoiler-content] {
			opacity: 1;
			transition: .3s;
		}
	}
}

.spoilers {

	&__item {

        &:not(:last-child) {
            margin-bottom: rem(10);
        }

		&.open {

            .spoilers__header {
                margin-bottom: rem(2);
            }

			.spoilers__icon {
				transform: rotate(225deg);
				transition: .3s;
			}
		}
	}

	&__header {
		width: 100%;
		cursor: pointer;
		display: flex;
		align-items: center;
		position: relative;
		padding: rem(8) rem(20);
        min-height: rem(50);
		color: #000;
		border: none;
		outline: none;
		text-align: left;
        border-radius: 10px;
        background: #FAF8F9;
		font-weight: 600;
		font-size: rem(14);
		line-height: rem(17);
	}

	&__title {
		display: block;
		padding-left: rem(15);
	}

	&__icon {
		font-size: 0;
		line-height: 0;
		height: rem(14);
		display: inline-block;
        transform: rotate(0deg);
		transition: .3s;
		flex-shrink: 0;
	}

	&__content {
        background: #FAF8F9;
        border-radius: 10px;
	}

	&__wrap {
		padding: rem(20);
	}

    @include media-breakpoint-up(md) {

        &__header {
            font-size: rem(15);
            line-height: rem(18);
            min-height: rem(58);
            padding: rem(8) rem(25);
        }

        &__icon {
            height: rem(16);
        }

        &__title {
            padding-left: rem(20);
        }

        &__wrap {
            padding: rem(25) rem(25) rem(25) rem(60);
        }
    }
}
